import service from '@/utils/request'

// @tag user
// @summary 获取用户列表
// @param {object} params
// @return {object} data
// @router get /user/list
export const list = (params) => {
  return service({
    url: '/app_user/list',
    method: 'get',
    params
  })
}

// /app_user/status/:id
export const status = (data) => {
  return service({
    url: '/app_user/status/'+ data.ID,
    method: 'put',
    data
  })
}

// 获取用户详情
export const getUserDetail = (id) => {
  return service({
    url: `/app_user/${id}`,
    method: 'get'
  })
}

// 用户注册
export const register = (data) => {
  return service({
    url: '/app_user/register',
    method: 'post',
    data
  })
}

// 修改用户余额
export const setBalance = (data) => {
  return service({
    url: '/app_user/setBalance',
    method: 'put',
    data
  })
}
